agency-board
PATCH /v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId}
Tick or un-tick one checklist item.
Authentification
Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.
Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.
Essayer
Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.
curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "done": <boolean> }'Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API
Détails
⛔ Idempotent, and it records nothing on the board's timeline when the state already matches. A checkbox re-sending its state would otherwise read as "ticked Deploy, 6 times" for one tick. ⭐ `done_by` is kept when an item is un-ticked. "Who ticked this and then un-ticked it" is a question an agency gets asked by its client, and clearing the field makes it unanswerable while looking tidier.
Paramètres
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
boardId (path) | Uuid | Oui | Project board ID (UUIDv7). |
cardId (path) | Uuid | Oui | Board card ID (UUIDv7). |
itemId (path) | Uuid | Oui | Board checklist item ID (UUIDv7). |
Corps de la requête
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
done | boolean | Oui | — |
Réponse
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
text | string | Oui | — |
position | integer | Oui | — |
done_at | string | Non | When it was ticked. `null` means outstanding. |
done_by | AgencyBoardActor | Non | Who ticked it. ⛔ Kept when the item is un-ticked as well, so "Sam ticked this and then un-ticked it" stays answerable. |
created_at | string | Non | — |
Erreurs que cet point de terminaison peut renvoyer
401 · 403 · 404 · 422